<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all file members with links to the files they belong to:</div>

<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParenExpr_enum
: <a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465dfad70aa1ccc3a6f8beb9884d0fc6306a4b">TypesForAnalysis.h</a>
</li>
<li>ParenExprProperties
: <a class="el" href="_types_for_analysis_8h.html#a19fd03418a5f269b01c857427785a6d0">TypesForAnalysis.h</a>
</li>
<li>ParenthesisExprProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ade8fb9ab0f90e12ab48ddb14d55de5ee">DeclRefExprProc.h</a>
</li>
<li>parseClangObject()
: <a class="el" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0">WriteJSONReport.h</a>
</li>
<li>PointerToMemberWithArrow()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ab120bcc7450de6c127bc18f78c7fb4af">DeclRefExprProc.h</a>
</li>
<li>PointerToMemberWithDot()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a024461eb4d227ab72bd29460fe888b76">DeclRefExprProc.h</a>
</li>
<li>PosAsString
: <a class="el" href="_types_for_analysis_8h.html#a35e31c209f7ffb6c33248a40b5146dcf">TypesForAnalysis.h</a>
</li>
<li>PostDecr()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a840338c49bd03e6d6d05ef6b378b7297">DeclRefExprProc.h</a>
</li>
<li>postgresSearchesType
: <a class="el" href="create_recursive_funct_matchers_8hpp.html#af2a3f98959ffcc70910d3e16dcc17be7">createRecursiveFunctMatchers.hpp</a>
, <a class="el" href="get_decl_context_and_decls_8hpp.html#af2a3f98959ffcc70910d3e16dcc17be7">getDeclContextAndDecls.hpp</a>
, <a class="el" href="get_function_decls_as_o_s_processes_8hpp.html#af2a3f98959ffcc70910d3e16dcc17be7">getFunctionDeclsAsOSProcesses.hpp</a>
, <a class="el" href="refactor-powertrain-controls_8cpp.html#af2a3f98959ffcc70910d3e16dcc17be7">refactor-powertrain-controls.cpp</a>
</li>
<li>PostIncr()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a2ac2c54f6140351f3f9734f8ea10247a">DeclRefExprProc.h</a>
</li>
<li>PreDecr()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ae449f8706da6bd315e6f10ccbf5afc64">DeclRefExprProc.h</a>
</li>
<li>PreIncr()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ae93f8a586a712858735fcbe8356c05bf">DeclRefExprProc.h</a>
</li>
<li>ProcAssignJson()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b">WriteJSONReport.h</a>
</li>
<li>ProcBodyJson()
: <a class="el" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167">WriteJSONReport.h</a>
</li>
<li>ProcBodyStmt_en
: <a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9eab816db962d5dea0a9c311c523f644907">WriteJSONReport.h</a>
</li>
<li>ProcDeclRefExprJson()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998">WriteJSONReport.h</a>
</li>
<li>process_location_and_macros()
: <a class="el" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c">ProcessLocation.h</a>
</li>
<li>process_totalLocationInfo()
: <a class="el" href="_store_results_to_file_8h.html#a2468460f10bda99b49b4b0e19bcc105f">StoreResultsToFile.h</a>
</li>
<li>ProcessBody()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9">refactor-powertrain-controls.cpp</a>
</li>
<li>ProcessBodyType
: <a class="el" href="_write_j_s_o_n_report_8h.html#a140bb9f5d5770e5fe62c922c445ec681">WriteJSONReport.h</a>
</li>
<li>ProcessDeclStmts()
: <a class="el" href="get_decl_context_and_decls_8hpp.html#ad5225c13865a8caf8ec3c6077818d62a">getDeclContextAndDecls.hpp</a>
</li>
<li>ProcessExpansionVector()
: <a class="el" href="_process_location_8h.html#ae2de931de8faaf31e511359fbfa50340">ProcessLocation.h</a>
</li>
<li>ProcessFuncDef()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#a56f969b573c27479f1190d09f13cfc69">refactor-powertrain-controls.cpp</a>
</li>
<li>processScratchArea()
: <a class="el" href="_process_location_8h.html#af82f871104e7e32a437bc234650282bf">ProcessLocation.h</a>
</li>
<li>ProcIfStmtJson()
: <a class="el" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547">WriteJSONReport.h</a>
</li>
<li>ProcNodeEnumToString()
: <a class="el" href="_store_results_to_file_8h.html#a4325a6030ce35e07734f734adc6d9fa5">StoreResultsToFile.h</a>
</li>
<li>PTHUTIL
: <a class="el" href="get_defines_in_data_file_8hpp.html#a7963ecf4880f2a8174061faaf96e39ab">getDefinesInDataFile.hpp</a>
, <a class="el" href="refactor-powertrain-controls_8cpp.html#a7963ecf4880f2a8174061faaf96e39ab">refactor-powertrain-controls.cpp</a>
</li>
<li>PtrType_enum
: <a class="el" href="_types_for_analysis_8h.html#affdb027278230374e0f2f8b039df8076a2951cafbf39910b612ca4ff90d9d1791">TypesForAnalysis.h</a>
</li>
<li>pullGlobalOnLocalVar
: <a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5a3e6e3d26ed9b285db60c07ef5ffc8964">TypesForAnalysis.h</a>
</li>
<li>PullGlobalStatusIntoLocal()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#a625fec92b5406f7a3d5391184fbeda78">refactor-powertrain-controls.cpp</a>
</li>
<li>pushUnique()
: <a class="el" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9">resolveInterfaceVariables.hpp</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
